# Gimp.Drawable.get_sub_thumbnail_data

    @accepts(Gimp.Drawable, int, int, int, int, int, int, int, int, int)
    @returns(GLib.Bytes)
    def get_sub_thumbnail_data(self, src_x, src_y, src_width, src_height, dest_width, dest_height, actual_width, actual_height, bpp):
        # Python wrapper for gimp_drawable_get_sub_thumbnail_data()

Retrieves thumbnail data for the drawable identified by self. The thumbnail will be not larger than the requested size.

self

  the drawable ID

src_x

  the x coordinate of the area

src_y

  the y coordinate of the area

src_width

  the width of the area

src_height

  the height of the area

dest_width

  the requested thumbnail width (<= 1024 pixels)

dest_height

  the requested thumbnail height (<= 1024 pixels)

actual_width

  the width of the returned thumbnail

actual_height

  the height of the returned thumbnail

bpp

  the bytes per pixel of the returned thumbnail data

Returns